/*Esercizio 4 
Le seguenti dichiarazioni definiscono tipi di dati relativi alla categoria degli
impiegati di un’azienda (gli impiegati possono essere di prima, seconda, …, quinta categoria), agli uffici
occupati da tali impiegati, all’edificio che ospita tali uffici (l’edificio è diviso in 20 piani ognuno con 40
uffici).*/




/* definizioni dei tipi */
typedef struct 
{ 
    char nome[20], cognome[20];
    int cat; /* contiene valori compresi tra 1 e 5 */
    int stipendio;
} impiegato;


typedef enum {nord, nordEst, est, sudEst, sud, sudOvest, ovest, nordOvest} esposizione;

typedef struct 
{ 
    int superficie; /* in metri quadri */
    esposizione esp;
    impiegato occupante;
} ufficio;

/* definizioni delle variabili */
ufficio torre[20][40]; /* rappresenta un edificio di 20 piani con 40 uffici per piano */


/*Si scriva un frammento di codice, che includa eventualmente anche le dichiarazioni di ulteriori variabili,
che, per tutte e sole le persone che occupano un ufficio (tra quelli memorizzati nella variabile torre)
orientato a sud oppure a sudEst e avente una superficie compresa tra 20 e 30 metri quadri, stampi il
cognome, lo stipendio e la categoria.*/


int p, u; /* indice di piano nell’edificio e di ufficio nel piano */

for (p=0; p<20; p++)
    for (u=0; u<40; u++)
        if ( ( torre[p][u].esp==sudEst || torre[p][u].esp==sud) &&
            (torre[p][u].superficie>=20 && torre[p][u].superficie<=30) ) 
        {
            printf("\n il Signor %s è impiegato di categoria %d",
            torre[p][u].occupante.cognome,
            torre[p][u].occupante.cat);
            printf (" e ha uno stipendio pari a %d euro \n",
            torre[p][u].occupante.stipendio);
        }
